# Get customer's account upcoming transactions in slices within the next year Required Scopes: Returns customer's account upcoming transaction data including today Endpoint: GET /v1/customers/{customerId}/account/transactions/upcoming Version: 1.13.2 Security: ApiKeyAuth ## Path parameters: - `customerId` (integer, required) Unique ID of the customer ## Query parameters: - `sliceSize` (integer) Desired size of data chunk - `offset` (string) Offset from last request ## Response 200 fields (application/json): - `result` (array, required) List of booking entries - `result.id` (integer, required) The internal id of the entry - `result.dueDate` (string, required) Date to booking is/was to be paid - `result.description` (string) Description of the booking - `result.amount` (object) Represents a financial data - `result.amount.amount` (number, required) Amount of the finance data tuple Example: 20 - `result.amount.currency` (string, required) Currency of the finance data tuple Example: "EUR" - `result.openAmount` (object) Represents a financial data - `result.installmentPlan` (boolean, required) Whether or not the booking was transferred into an installment plan - `result.chargeType` (string, required) Represents the classification of the charge Enum: "MEMBERSHIP_CHARGE", "BONUS_PERIOD_CHARGE", "CONTRACT_IDLE_PERIOD_CHARGE", "IDLE_PERIOD_CHARGE", "TRIAL_PERIOD_CHARGE", "FLAT_FEE", "CREDIT", "DEBT_CLAIM_REVERSAL", "DEBT_CLAIM_REDUCTION", "DAMAGE_COMPENSATION", "BALANCE_DEBIT", "BALANCE_CREDIT", "DEBIT_ADJUSTMENT", "CREDIT_ADJUSTMENT", "CHARGE_DISCOUNT", "SALES_DIRECT_DEBIT", "SALES_NON_DIRECT_DEBIT", "CONSUMPTION_CREDIT_RECHARGE", "STARTER_PACKAGE", "ADDITIONAL_CHARGE", "TRANSACTION_FEE", "NO_SHOW_FEE", "DUNNING_FEE", "ADDRESS_INQUIRY_FEE", "CHARGED_BACK_FEE", "CANCELATION_FEE", "CARD_REPLACEMENT_FEE", "REFUND_COMPENSATION", "BENEFIT_DEBT_CLAIM", "DEBT_CLAIM_ABANDONMENT", "DEBT_CLAIM_CONVERSION", "RETURNED_BOTTLE_DEPOSIT" - `result.paidPeriodFrom` (string) Start date of the service period (if applicable) Example: "2025-01-01" - `result.paidPeriodTo` (string) End date of the service period (if applicable) Example: "2025-01-31" - `hasNext` (boolean, required) True if there exists next data slice Example: true - `offset` (string, required) Offset for next query Example: "1234567890" ## Response 400 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 401 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 403 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 404 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 409 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 429 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST" ## Response 500 fields (application/json): - `errorMessage` (string, required) Resolved message in the context-specific default locale - `errorCode` (string) Key for translation files - `traceId` (string) Datadog trace id - `reference` (string) Reference to validation error Example: "parent.child" - `args` (array) Arguments referenced by format specifiers while resolving the message from translation files - `typedArgs` (array) Same as but with type information - `typedArgs.value` (object) - `typedArgs.type` (string) Enum: "TIMESTAMP", "BOOLEAN", "DATE", "MONTH_DAY", "TIME", "TERM", "TERM_LIST", "INTEGER", "DECIMAL", "STRING", "MONEY", "LIMITABLE_CONFIG_PROPERTY", "I18N_KEY", "I18N_KEY_LIST", "PERMISSION_LIST", "ENUM", "AVAILABILITY_LIST"